com.parse.twitter

## Class Twitter

- java.lang.Object
- - com.parse.twitter.Twitter

    public class Twitter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Twitter(String consumerKey, String consumerSecret)`

### Method Summary

Methods
`void` `authorize(Context context, AsyncCallback callback)`
`String` `getAuthToken()`
`String` `getAuthTokenSecret()`
`String` `getConsumerKey()`
`String` `getConsumerSecret()`
`String` `getScreenName()`
`String` `getUserId()`
`void` `setAuthToken(String authToken)`
`void` `setAuthTokenSecret(String authTokenSecret)`
`Twitter` `setConsumerKey(String consumerKey)`
`Twitter` `setConsumerSecret(String consumerSecret)`
`void` `setScreenName(String screenName)`
`void` `setUserId(String userId)`
`void` `signRequest(org.apache.http.client.methods.HttpUriRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Twitter

    public Twitter(String consumerKey,
           String consumerSecret)

### Method Detail

#### getConsumerKey

    public String getConsumerKey()

#### setConsumerKey

    public Twitter setConsumerKey(String consumerKey)

#### getConsumerSecret

    public String getConsumerSecret()

#### setConsumerSecret

    public Twitter setConsumerSecret(String consumerSecret)

#### getAuthToken

    public String getAuthToken()

#### setAuthToken

    public void setAuthToken(String authToken)

#### getAuthTokenSecret

    public String getAuthTokenSecret()

#### setAuthTokenSecret

    public void setAuthTokenSecret(String authTokenSecret)

#### getUserId

    public String getUserId()

#### setUserId

    public void setUserId(String userId)

#### getScreenName

    public String getScreenName()

#### setScreenName

    public void setScreenName(String screenName)

#### signRequest

    public void signRequest(org.apache.http.client.methods.HttpUriRequest request)

#### authorize

    public void authorize(Context context,
                 AsyncCallback callback)